## org.hibernate.engine.transaction.internal.jdbc
Class JdbcIsolationDelegate

    java.lang.Object
      org.hibernate.engine.transaction.internal.jdbc.JdbcIsolationDelegate

All Implemented Interfaces:
  IsolationDelegate

    public class JdbcIsolationDelegate

extends Object
implements IsolationDelegate

The isolation delegate for JDBC `Connection` based transactions

Constructor Summary
`JdbcIsolationDelegate(TransactionCoordinator transactionCoordinator)`

Method Summary
`protected ConnectionProvider` `connectionProvider()`

`

`<T> T`

`

`delegateWork(WorkExecutorVisitable<T> work, boolean transacted)`
Perform the given work in isolation from current transaction.

`protected SqlExceptionHelper` `sqlExceptionHelper()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcIsolationDelegate

    public JdbcIsolationDelegate(TransactionCoordinator transactionCoordinator)

Method Detail

### connectionProvider

    protected ConnectionProvider connectionProvider()

### sqlExceptionHelper

    protected SqlExceptionHelper sqlExceptionHelper()

### delegateWork

    public <T> T delegateWork(WorkExecutorVisitable<T> work,
                              boolean transacted)
                   throws HibernateException

  Description copied from interface: `IsolationDelegate`
  Perform the given work in isolation from current transaction.

  Specified by:
    `delegateWork` in interface `IsolationDelegate`
  Parameters:
    `work` - The work to be performed.
    `transacted` - Should the work itself be done in a (isolated) transaction?
  Returns:
    The work result
  Throws:
    `HibernateException` - Indicates a problem performing the work.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.